Update chrome-gnome-shell to version 8 in all supported releases

Bug #1652537 reported by Jeremy Bicha on 2016-12-25
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chrome-gnome-shell (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned

Bug Description

Impact
======
gnome-shell provides a browser plugin so that users can manage GNOME Shell extensions by visiting https:/extensions.gnome.org/ in Firefox and compatible browsers.

This extension will stop working in Firefox once users upgrade to Firefox 52. Firefox 52 is scheduled for upstream release March 7, 2017 and 52 Beta will open approximately January 24.

chrome-gnome-shell version 8 adds Firefox support that will keep working in Firefox 52 and beyond.

There are actually two parts to chrome-gnome-shell: a system helper and a browser addon. The chrome-gnome-shell package provides the system helper. The browser addon can be installed directly without admin privileges from
https://addons.mozilla.org/en/firefox/addon/gnome-shell-integration/

or for Chrome at
https://chrome.google.com/webstore/detail/gnome-shell-integration/gphhapmejobijbbhgpjhcjognlahblep

For more details, see
https://blogs.gnome.org/ne0sight/2016/12/25/how-to-install-gnome-shell-extensions-with-firefox-52/

Test Case
=========
- In Ubuntu GNOME, install the updated chrome-gnome-shell
- Open Firefox and browse to https://extensions.gnome.org/local/
- In the list of extensions, turn on the "Applications Menu". The Activities button in the top left of the screen should now read Applications and show a menu of installed apps when clicked.
- Turn off the "Applications Menu". The Applications button should revert to being a simple Activities button.

* Repeat the above test with chromium-browser

* If you are using Firefox 51, that test was just testing the old functionality (It's important that it still works though!). To test the new version:
- Install https://addons.mozilla.org/en-US/firefox/addon/gnome-shell-integration/
- To make sure that you aren't testing the old functionality, run
sudo rm /usr/lib/mozilla/plugins/libgnome-shell-browser-plugin.so
- Restart Firefox and do the above "Applications Menu" test.

- When you are finished testing, run this command to restore the manually deleted file:
sudo apt install --reinstall gnome-shell

Regression Potential
===================
It's important that installing the Firefox helper does not break the existing Firefox support for https://extensions.gnome.org/

Other Info
==========
chrome-gnome-shell 7 is available in Ubuntu 16.10. We want to make version 8 available in -updates for 16.10, 16.04 and 14.04 LTS. (Ubuntu 12.04 LTS is completely End of Life in April and was never officially supported by Ubuntu GNOME.)

For 16.10, I am backporting the updated packaging since the changes are minor and make sense.

For the ubuntu-gnome-desktop metapackage update, see https://launchpad.net/bugs/1652538

It might be nice if a future chrome-gnome-shell would include the Firefox addon too instead of just the system helper, but that's complicated since I believe addons need to be signed in Ubuntu.

https://wiki.mozilla.org/RapidRelease/Calendar

Jeremy Bicha (jbicha) on 2016-12-25
description: updated
Changed in chrome-gnome-shell (Ubuntu Trusty):
importance: Undecided → High
status: New → Triaged
Changed in chrome-gnome-shell (Ubuntu Xenial):
importance: Undecided → High
status: New → Triaged
Changed in chrome-gnome-shell (Ubuntu Yakkety):
status: New → Triaged
importance: Undecided → High
Jeremy Bicha (jbicha) on 2017-01-15
description: updated
Changed in chrome-gnome-shell (Ubuntu):
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) on 2017-01-15
description: updated
Jeremy Bicha (jbicha) on 2017-01-15
Changed in chrome-gnome-shell (Ubuntu Trusty):
status: Triaged → In Progress
Changed in chrome-gnome-shell (Ubuntu Xenial):
status: Triaged → In Progress
Changed in chrome-gnome-shell (Ubuntu Yakkety):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chrome-gnome-shell - 8-2ubuntu1

---------------
chrome-gnome-shell (8-2ubuntu1) zesty; urgency=medium

  * Sync with Debian (LP: #1652537). Remaining change:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)

chrome-gnome-shell (8-2) unstable; urgency=medium

  * [faf817c] Add runtime dependency on python-requests.
    Thanks to Yuri Konotopov

 -- Jeremy Bicha <email address hidden> Sun, 15 Jan 2017 05:51:51 -0500

Changed in chrome-gnome-shell (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2017-01-15
tags: added: needs-packaging upgrade-software-version

Hello Jeremy, or anyone else affected,

Accepted chrome-gnome-shell into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chrome-gnome-shell/8-2ubuntu3~ubuntu16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in chrome-gnome-shell (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Jeremy Bicha (jbicha) on 2017-02-10
description: updated
Jeremy Bicha (jbicha) wrote :

I verified this for Ubuntu GNOME 16.10.
First, I verified that I could use https://extensions.gnome.org/local in Firefox to activate and deactivate the Applications menu.
Then I installed the -proposed chrome-gnome-shell and repeated the test successfully.
Then I installed Firefox 52 from https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next
The page didn't work. Then I installed the Firefox addon from addons.mozilla.org and then I completed the test successfully. No browser restart required after installing the addon.

tags: added: verification-done-yakkety
removed: verification-needed

The verification of the Stable Release Update for chrome-gnome-shell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chrome-gnome-shell - 8-2ubuntu3~ubuntu16.10.1

---------------
chrome-gnome-shell (8-2ubuntu3~ubuntu16.10.1) yakkety; urgency=medium

  * Backport to yakkety (LP: #1652537)
  * debian/rules: Force Firefox helper to use non-multiarch directory
    (not needed with zesty's cmake)

 -- Jeremy Bicha <email address hidden> Wed, 18 Jan 2017 02:07:49 -0500

Changed in chrome-gnome-shell (Ubuntu Yakkety):
status: Fix Committed → Fix Released

Hello Jeremy, or anyone else affected,

Accepted chrome-gnome-shell into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chrome-gnome-shell/8-2ubuntu4~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in chrome-gnome-shell (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in chrome-gnome-shell (Ubuntu Trusty):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Jeremy, or anyone else affected,

Accepted chrome-gnome-shell into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chrome-gnome-shell/8-2ubuntu4~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jeremy Bicha (jbicha) wrote :

I did the same tests for Ubuntu 16.04 LTS (chrome-gnome-shell 8-2ubuntu4~ubuntu16.04.1 ) and 14.04 LTS (chrome-gnome-shelle 8-2ubuntu4~ubuntu14.04.1 ) as described in comment #3. Things worked fine for 16.04 LTS.

One improvement since the last time I did this is that https://extensions.gnome.org/ now has a handy banner at the top of the page making it very easy to install the new required browser addon.

When I tried with 14.04 LTS, I got errors from chrome-gnome-shell.

tags: added: verification-done-xenial verification-failed-xenial
removed: verification-needed
Jeremy Bicha (jbicha) wrote :

I reported the 14.04 failure at https://bugzilla.gnome.org/779492

tags: added: verification-failed-trusty
removed: verification-failed-xenial
Jeremy Bicha (jbicha) wrote :

The chrome-gnome-shell developer committed a workaround for the 14.04 issue to git and I packaged it up as chrome-gnome-shell 8-2ubuntu4~ubuntu14.04.2 in the pending SRU queue.

I don't think there's any need to push that workaround to newer releases since they are unaffected by the bug.

Andy Whitcroft (apw) wrote :

Hello Jeremy, or anyone else affected,

Accepted chrome-gnome-shell into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chrome-gnome-shell/8-2ubuntu4~ubuntu14.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Jeremy Bicha (jbicha) wrote :

I verified that the tests from comment #3 now work with chrome-gnome-shelle 8-2ubuntu4~ubuntu14.04.2.

tags: added: verification-done
removed: verification-done-xenial verification-done-yakkety verification-failed-trusty
tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chrome-gnome-shell - 8-2ubuntu4~ubuntu16.04.1

---------------
chrome-gnome-shell (8-2ubuntu4~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1652537)
  * debian/rules: Force Firefox helper to use non-multiarch directory
    (not needed with zesty's cmake)

 -- Jeremy Bicha <email address hidden> Thu, 23 Feb 2017 23:12:26 -0500

Changed in chrome-gnome-shell (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chrome-gnome-shell - 8-2ubuntu4~ubuntu14.04.2

---------------
chrome-gnome-shell (8-2ubuntu4~ubuntu14.04.2) trusty; urgency=medium

  * Add trusty-workaround.patch (LP: #1652537)
    - backport from git to fix crash on Ubuntu 14.04 LTS

 -- Jeremy Bicha <email address hidden> Sat, 04 Mar 2017 15:07:41 -0500

Changed in chrome-gnome-shell (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers